/*  This file is a part of Dict. Dict is a Series 60 application for browsing
	dict databases (http:\\www.dict.org) stored in the phone's file system.
	Copyright (C) 2005, Kostas Giannakakis
	Web page: http://users.forthnet.gr/ath/kgiannak/

	Dict is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Dict is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Dict; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __DICT_APPLICATION_H__
#define __DICT_APPLICATION_H__

#include <aknapp.h>


/**
  An instance of CDictApplication is the application part of the AVKON
  application framework. Derived from CAknApplication.
  */
class CDictApplication : public CAknApplication
	{
public:  // from CAknApplication

/**
  Returns the application DLL UID value. (from CAknApplication)
  @result the UID of this Application/Dll
  */
	TUid AppDllUid() const;

protected: // from CAknApplication
/**
  Creates a CApaDocument object and returns a pointer to it.
  (from CAknApplication)
  @result a pointer to the created document
  */
	CApaDocument* CreateDocumentL();
	};

#endif // __DICT_APPLICATION_H__
