/*  This file is a part of Dict. Dict is a Series 60 application for browsing
	dict databases (http:\\www.dict.org) stored in the phone's file system.
	Copyright (C) 2005, Kostas Giannakakis
	Web page: http://users.forthnet.gr/ath/kgiannak/

	Dict is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Dict is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Dict; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __DICT_PAN__
#define __DICT_PAN__

// Dict application panic codes 
enum TDictPanics 
	{
	EDictBasicUi = 1,
	EDictSearchContainer,
	EDictResultsListContainer,
	EDictMeaningContainer
	// add further panics here
	};

inline void Panic(TDictPanics aReason)
	{
	_LIT(applicationName,"S60Dict");
	User::Panic(applicationName, aReason);
	}

#endif // __DICT_PAN__
