/*  This file is a part of Dict. Dict is a Series 60 application for browsing
	dict databases (http:\\www.dict.org) stored in the phone's file system.
	Copyright (C) 2005, Kostas Giannakakis
	Web page: http://users.forthnet.gr/ath/kgiannak/

	Dict is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Dict is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Dict; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "DictApplication.h"

#ifdef __SERIES60_30__
#include <eikstart.h>
#endif


// Create an application, and return a pointer to it
EXPORT_C CApaApplication* NewApplication()
	{
	return (static_cast<CApaApplication*>(new CDictApplication));
	}
	
	
#ifdef __SERIES60_30__ 
GLDEF_C TInt E32Main() 
 { 
 return EikStart::RunApplication( NewApplication ); 
 } 
# else 
GLDEF_C TInt E32Dll( TDllReason ) 
    { 
    return KErrNone; 
    } 
#endif 

	
	
